import { AdminDriverService } from "./admin.driver.service";
import { CreateDriverDto, UpdateDriverDto } from "./driver.dto";
export declare class AdminDriverController {
    private readonly adminDriverService;
    constructor(adminDriverService: AdminDriverService);
    create(CreateDriverDto: CreateDriverDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/vendor/user.entity").User[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/vendor/user.entity").User;
    }>;
    update(id: string, updateDriverDto: UpdateDriverDto): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/vendor/user.entity").User;
    }>;
    updateUserStatus(id: number, body: any): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
